---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:05:40Z"
    creationTimestamp: "2022-03-08T10:38:57Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:05:29Z"
    name: api
    namespace: openshift-apiserver
    resourceVersion: "28620"
    selfLink: /api/v1/namespaces/openshift-apiserver/endpoints/api
    uid: 5ac94009-228e-4227-bc2a-837f9838ca59
  subsets:
  - addresses:
    - ip: 10.128.0.52
      nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: apiserver-5bdfbb9984-6rjfg
        namespace: openshift-apiserver
        resourceVersion: "28619"
        uid: a5acd5fc-8c18-4588-b2a5-1f08b9f48b45
    - ip: 10.129.0.35
      nodeName: master-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: apiserver-5bdfbb9984-2hx9z
        namespace: openshift-apiserver
        resourceVersion: "27553"
        uid: 1e09038b-fa21-4e26-9674-5c9bac877ec2
    - ip: 10.130.0.50
      nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: apiserver-5bdfbb9984-k7b4h
        namespace: openshift-apiserver
        resourceVersion: "28024"
        uid: 8dc97ebd-08cd-49ae-868a-48d487c2a05b
    ports:
    - name: https
      port: 8443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:05:40Z"
    creationTimestamp: "2022-03-08T10:39:21Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:05:29Z"
    name: check-endpoints
    namespace: openshift-apiserver
    resourceVersion: "28624"
    selfLink: /api/v1/namespaces/openshift-apiserver/endpoints/check-endpoints
    uid: 38ae0c67-2ceb-465e-8a68-7d5e33c20b48
  subsets:
  - addresses:
    - ip: 10.128.0.52
      nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: apiserver-5bdfbb9984-6rjfg
        namespace: openshift-apiserver
        resourceVersion: "28619"
        uid: a5acd5fc-8c18-4588-b2a5-1f08b9f48b45
    - ip: 10.129.0.35
      nodeName: master-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: apiserver-5bdfbb9984-2hx9z
        namespace: openshift-apiserver
        resourceVersion: "27553"
        uid: 1e09038b-fa21-4e26-9674-5c9bac877ec2
    - ip: 10.130.0.50
      nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: apiserver-5bdfbb9984-k7b4h
        namespace: openshift-apiserver
        resourceVersion: "28024"
        uid: 8dc97ebd-08cd-49ae-868a-48d487c2a05b
    ports:
    - name: check-endpoints
      port: 17698
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "83265"
  selfLink: /api/v1/namespaces/openshift-apiserver/endpoints
